classification
Title: Windows Installer uses small font
Type: Stage: resolved
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, python-dev, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2015-09-14 01:37 by terry.reedy, last changed 2015-09-29 04:49 by steve.dower. This issue is now closed.

Messages (4)
msg250593 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-14 01:37
The 3.4.3 installer used normal size type (10 point, I believe) in the dialog boxes.  I can more or less read this with by non 20/20 eyes.  The new 3.5.0 installer uses a smaller type (8? 7? point), which for even more people will mean using a magnifier. Please revert this anti-accessibility change.  Instead, increase to 12 point if possible.

I noticed that the Python logo picture is also shrunken by about 20%.  I checked side-by-side with the 3.4.3 box, so all system settings were the same for both.
msg250595 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-09-14 02:29
Thanks for pointing this out. I'll take a look before 3.5.1.
msg250597 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-09-14 02:31
Actually, what DPI setting are you using? With new UI, it's possible that we're not scaling the same way as before.
msg251368 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-23 00:01
New changeset 07a3d804c6ea by Steve Dower in branch '3.5':
Issue #25091: Increases font size of the installer.
https://hg.python.org/cpython/rev/07a3d804c6ea
History
Date User Action Args
2015-09-29 04:49:14steve.dowersetstatus: open -> closed
resolution: fixed
stage: resolved
2015-09-23 00:01:53python-devsetnosy: + python-dev
messages: + msg251368
2015-09-14 02:31:31steve.dowersetmessages: + msg250597
2015-09-14 02:29:08steve.dowersetmessages: + msg250595
title: Please revert the Windows Installer swithch to micro type. -> Windows Installer uses small font
2015-09-14 01:40:33terry.reedysettitle: Please revert the Windows Installer to micro type. -> Please revert the Windows Installer swithch to micro type.
2015-09-14 01:37:45terry.reedycreate